Subject: [PATCH 0/5] wt-status: fix an invalid memory read, clean up

From: René Scharfe <[email-masked]>
Date: Sat, 31 Oct 2015 18:33:13 +0100

Memory is accessed out-of-bounds when try to show --branch info in a
repo with a detached HEAD.  Add a test in patch 1 and a fix in patch
3, as well as some cleanups.

Rene Scharfe (5):
  t7060: add test for status --branch on a detached HEAD
  wt-status: exit early using goto in wt_shortstatus_print_tracking()
  wt-status: avoid building bogus branch name with detached HEAD
  wt-status: don't skip a magical number of characters blindly
  wt-status: use skip_prefix() to get rid of magic string length constants

 t/t7060-wtstatus.sh | 14 ++++++++++++
 wt-status.c         | 64 ++++++++++++++++++++++++-----------------------------
 2 files changed, 43 insertions(+), 35 deletions(-)

-- 
2.6.2